Skip to main content
`Ctrl`+`K`

# TSMonitorLGSolution

Monitors progress of the `TS` solvers by plotting each component of the solution vector in a time based line graph

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGSolution(TS ts, PetscInt step, PetscReal ptime, Vec u, void *dctx)

Collective

## Input Parameters

- ts - the `TS` context

- step - current time-step

- ptime - current time

- u - current solution

- dctx - the `TSMonitorLGCtx` object that contains all the options for the monitoring, this is created with `TSMonitorLGCtxCreate()`

## Options Database Key

- -ts_monitor_lg_solution_variables - enable monitor of lg solution variables

## Notes

Each process in a parallel run displays its component solutions in a separate window

This is not called directly by users, rather one calls `TSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `TS` integration.

## See Also

TS: Scalable ODE and DAE Solvers, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorLGCtxCreate()`, `TSMonitorLGCtxSetVariableNames()`, `TSMonitorLGCtxGetVariableNames()`, `TSMonitorLGSetVariableNames()`, `TSMonitorLGGetVariableNames()`, `TSMonitorLGSetDisplayVariables()`, `TSMonitorLGCtxSetDisplayVariables()`, `TSMonitorLGCtxSetTransform()`, `TSMonitorLGSetTransform()`, `TSMonitorLGError()`, `TSMonitorLGSNESIterations()`, `TSMonitorLGKSPIterations()`, `TSMonitorEnvelopeCtxCreate()`, `TSMonitorEnvelopeGetBounds()`, `TSMonitorEnvelopeCtxDestroy()`, `TSMonitorEnvelop()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

## Examples

src/ts/tutorials/extchemfield.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages